InstantiatedDocument (Lucene 3.6.2 API)
Keywords: org.apache.lucene.store.instantiated.InstantiatedDocument class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.store.instantiated
Class InstantiatedDocument

    java.lang.Object
      org.apache.lucene.store.instantiated.InstantiatedDocument

All Implemented Interfaces:
  Serializable

    public class InstantiatedDocument

extends Object
implements Serializable

A document in the instantiated index object graph, optionally coupled to the vector space view.

See Also:
  `Document`, Serialized Form

Constructor Summary
`InstantiatedDocument()`
`InstantiatedDocument(org.apache.lucene.document.Document document)`

Method Summary
`org.apache.lucene.document.Document` | `getDocument()`
`Integer` | `getDocumentNumber()`
`Map<String,List<InstantiatedTermDocumentInformation>>` | `getVectorSpace()`
`void` | `setVectorSpace(Map<String,List<InstantiatedTermDocumentInformation>> vectorSpace)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstantiatedDocument

    public InstantiatedDocument()

### InstantiatedDocument

    public InstantiatedDocument(org.apache.lucene.document.Document document)

Method Detail

### getDocumentNumber

    public Integer getDocumentNumber()

  Returns:
    position of document in the index.

### getVectorSpace

    public Map<String,List<InstantiatedTermDocumentInformation>> getVectorSpace()

### setVectorSpace

    public void setVectorSpace(Map<String,List<InstantiatedTermDocumentInformation>> vectorSpace)

### getDocument

    public org.apache.lucene.document.Document getDocument()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD